﻿
@using Portal.Models.AuthorizationMapping;
@using System.Web.UI.WebControls
@using System.Web.Mvc;

<table>
    <tr>
        <td style="width:120px">Pack Month</td>
        <td style="width:108px"><span id="EditPackMonth" style="font-weight:bold"></span></td>
        <td></td>
    </tr>
    <tr>
        <td style="width:120px">Reminder Start Time</td>
        <td style="width:108px">
            @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "RemiderStartDate";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Width = 108;
                    settings.Date = DateTime.Now;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TimeEdit(
                timeEdit =>
                {
                    timeEdit.Name = "ReminderStartTime";
                    timeEdit.Width = 100;
                    timeEdit.Properties.EditFormatString = "HH:mm:ss";
                    timeEdit.Properties.DisplayFormatString = "HH:mm:ss";
                    //timeEdit.DateTime = new DateTime(2013, 1, 1, 0, 0, 0);
                }).GetHtml()
        </td> 
    </tr>
    <tr>
        <td style="width:120px">Reminder End Time</td>
        <td style="width:108px">
            @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "RemiderEndDate";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Width = 108;
                    settings.Date = DateTime.Now;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TimeEdit(
                timeEdit =>
                {
                    timeEdit.Name = "ReminderEndTime";
                    timeEdit.Width = 100;
                    timeEdit.Properties.EditFormatString = "HH:mm:ss";
                    timeEdit.Properties.DisplayFormatString = "HH:mm:ss";
                    //timeEdit.DateTime = new DateTime(2013, 1, 1, 0, 0, 0);
                }).GetHtml()
        </td> 
    </tr>
    <tr>
        <td></td>
        <td colspan="2">
            <table style="float:right">
                <tr>
                    <td>
                        @Html.DevExpress().Button(
                            btnSettings =>
                            {
                                btnSettings.Name = "btnUpdate";
                                btnSettings.ControlStyle.CssClass = "button";
                                btnSettings.Text = "Update";
                                btnSettings.Width = 70;
                                btnSettings.ClientSideEvents.Click = "UpdateReminder";
                            }
                        ).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Button(
                            btnSettings =>
                            {
                                btnSettings.Name = "btnCancel";
                                btnSettings.ControlStyle.CssClass = "button";
                                btnSettings.Text = "Cancel";
                                btnSettings.Width = 70;
                                btnSettings.ClientSideEvents.Click = "CancelUpdate";
                            }
                        ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>